Name: H5Aopen_name
Signature:
  hid_t `H5Aopen_name`(hid_t `loc_id`, const char *`name` )
Purpose:
  Opens an attribute specified by name.
Description:
  `H5Aopen_name` opens an attribute specified by its name, `name`, which is attached to the object specified with `loc_id`. The location object may be either a group, dataset, or named datatype, which may have any sort of attribute.

  The attribute identifier returned from this function must be released with `H5Aclose` or resource leaks will develop.

Parameters:

hid_t `loc_id` | IN: Identifier of a group, dataset, or named datatype atttribute to be attached to.
const char *`name` | IN: Attribute name.

Returns:
  Returns attribute identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5aopen_name_f

      SUBROUTINE h5aopen_name_f(obj_id, name, attr_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: obj_id    ! Object identifier
        CHARACTER(LEN=*), INTENT(IN) :: name    ! Attribute name
        INTEGER(HID_T), INTENT(OUT) :: attr_id  ! Attribute identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code:
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5aopen_name_f